Xamarin Forms is out of date

Xamarin.Forms supported platforms

  • 2 minutes to read

Xamarin.Forms applications can be written for the following operating systems:

  • iOS 9 or higher.
  • Android 4.4 (API 19) or higher (more details). However, Android 5.0 (API 21) is recommended as the minimum required API as the minimum API. This ensures full compatibility with all the Android support libraries, while still targeting the majority of Android devices.
  • Windows 10 Universal Windows Platform, build 10.0.16299.0 or greater for .NET Standard 2.0 support, but will be build 10.0.18362.0 or higher However, build 10.0.18362.0 or greater is recommended.

Xamarin.Forms apps for iOS, Android, and the Universal Windows Platform (UWP) can be built in Visual Studio However, a networked Mac is required for iOS development using the latest version of Xcode and the minimum version of macOS specified by Apple. For more information, see Windows requirements.

Xamarin.Forms apps for iOS and Android can be built in Visual Studio for Mac. For more information, see macOS requirements. For more information, see macOS requirements.

Note

Developing apps using Xamarin.Forms requires familiarity with .NET Standard.

Additional platform support

Xamarin.Forms supports additional platforms beyond iOS, Android, and Windows:

  • Samsung TizenSamsung Tizen
  • macOS 10.13 and higher macOS 10.13 or higher
  • GTK # GTK #
  • WPFWPF

The status of these platforms is available on the Xamarin.Forms GitHub platform support wiki.

Android platform support

You should have the latest Android SDK Tools and Android API platform installed.You should have the latest Android SDK Tools and Android API platform installed. You can update to the latest versions using the Android SDK Manager. You can update to the latest versions using the Android SDK Manager.

also got to the target / compile version for Android projects Use the last installed platform Additionally, the target / compile version for Android projects must be set to Use the latest installed platformHowever the minimum version can be set to API 19 so you can continue to support devices that use Android 4.4 and newer Values ​​are in the Project options set: These values ​​are set in the Project Options:

Project Options> Application> Application PropertiesProject Options> Application> Application Properties

Create> GeneralBuild> General

Create> Android ApplicationBuild> Android Application

Deprecated platforms

These platforms are not supported when using Xamarin.Forms 3.0 or newer:

  • Windows 8.1 / Windows Phone 8.1 WinRTWindows 8.1 / Windows Phone 8.1 WinRT
  • Windows Phone 8 SilverlightWindows Phone 8 Silverlight